xfstests: include test subdirectory support
[xfstests-dev.git] / 131
1 #! /bin/bash
2 # FSQA Test No. 131
3 #
4 # lock test created from CXFSQA test lockfile_simple
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2006 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 echo "QA output created by $seq"
27
28 here=`pwd`
29 tmp=/tmp/$$
30 status=1        # failure is the default!
31 trap "_cleanup; exit \$status" 0 1 2 3 15
32
33 _cleanup()
34 {
35     kill $locktest_pid2 2&>1 /dev/null
36     kill $locktest_pid1 2&>1 /dev/null
37     _cleanup_testdir
38 }
39
40 # get standard environment, filters and checks
41 . ./common.rc
42 . ./common.filter
43
44 # real QA test starts here
45 _supported_fs generic
46 _supported_os Linux
47
48 _setup_testdir
49
50 TESTFILE=$testdir/lock_file
51
52 # Grab a port which is hopefully unused
53 if [ $$ -gt 1024 -a $$ -lt 32000 ]; then
54     PORT=$$
55 elif [ $$ -lt 1024 ]; then
56     PORT=$(($$+1024))
57 elif [ $$ -gt 32000 ]; then
58     PORT=$(($$%30000+1024))
59 fi
60
61 # Start the server
62 src/locktest -p $PORT $TESTFILE > $testdir/server.out 2>&1 &
63 locktest_pid1=$!
64
65 sleep 1
66
67 # Start the client
68 src/locktest -p $PORT -h localhost $TESTFILE > $testdir/client.out 2>&1
69 locktest_pid2=$!
70 result=$?
71 if [ $result -eq 0 ]; then
72     echo success!
73 else
74     echo "Client reported failure ($result)"
75     cat $testdir/*.out
76     _cleanup
77     exit $status
78 fi
79
80 status=0
81 exit